View Issue Details

IDProjectCategoryView StatusLast Update
0001950SOGoWeb Calendarpublic2014-02-04 17:57
Reporterpiethein Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Target Version2.2.0Fixed in Version2.2.0 
Summary0001950: When deleting multiple selected events of recurring events the events are deleted instead of the selected instances.
Description

Create events with multiple instances.
Select multiple individual instances of these recurring events
Select to delete the selected events

Result:
The complete events are deleted, not only the selected instances.

This behavior is not what I would expect, as the user has selected multiple specific items I would expect the action he wants to perform should be applied to specifically these events. Another possibility would be to add an intermediate dialog just as is done when applying an action to a single instance (The text could be: 'The items you are editing are repeating items. Do you want to edit all occurences of them or only these single instances?' for example)

TagsNo tags attached.

Issue History

Date Modified Username Field Change
2012-08-23 14:00 piethein New Issue
2014-01-21 11:53 ludovic Target Version => 2.2.0
2014-02-04 17:57 francis Note Added: 0006498
2014-02-04 17:57 francis Status new => resolved
2014-02-04 17:57 francis Fixed in Version => 2.2.0
2014-02-04 17:57 francis Resolution open => fixed
2014-02-04 17:57 francis Assigned To => francis